Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sorg2l

    java.lang.Object
      org.netlib.lapack.Sorg2l

    public class Sorg2l

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SORG2L generates an m by n real matrix Q with orthonormal columns,
     *  which is defined as the last n columns of a product of k elementary
     *  reflectors of order m
     *
     *        Q  =  H(k) . . . H(2) H(1)
     *
     *  as returned by SGEQLF.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix Q. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix Q. M >= N >= 0.
     *
     *  K       (input) INTEGER
     *          The number of elementary reflectors whose product defines the
     *          matrix Q. N >= K >= 0.
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the (n-k+i)-th column must contain the vector which
     *          defines the elementary reflector H(i), for i = 1,2,...,k, as

     *          returned by SGEQLF in the last k columns of its array
     *          argument A.
     *          On exit, the m by n matrix Q.
     *
     *  LDA     (input) INTEGER
     *          The first dimension of the array A. LDA >= max(1,M).
     *
     *  TAU     (input) REAL array, dimension (K)
     *          TAU(i) must contain the scalar factor of the elementary
     *          reflector H(i), as returned by SGEQLF.
     *
     *  WORK    (workspace) REAL array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -i, the i-th argument has an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Sorg2l()`

Method Summary
`static void` | `sorg2l(int m, int n, int k, float[] a, int _a_offset, int lda, float[] tau, int _tau_offset, float[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sorg2l

    public Sorg2l()

Method Detail

### sorg2l

    public static void sorg2l(int m,
                              int n,
                              int k,
                              float[] a,
                              int _a_offset,
                              int lda,
                              float[] tau,
                              int _tau_offset,
                              float[] work,
                              int _work_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD